
io.stdout:setvbuf( "no" )

function devPrint( tables, indent )
    indent = indent or 0
    for k,v in pairs( tables ) do
        keystring = string.rep( "    ", indent ) .. tostring( k ) .. " : "
        if type( v ) == "table" then
            print( keystring )
            devPrint( v, indent + 1 )
        else
            print( keystring .. tostring( v ) )
        end
    end
end

function devDrawFPS()
    love.graphics.print( love.timer.getFPS() )
end